@font-face {
  font-family: "Utendo";
  src: url("./fonts/utendo/Utendo-Bold.ttf");
}

@font-face {
  font-family: "Trebuchet MS";
  src: url("./fonts/trebuc/trebuc.ttf") format("truetype");
}

:root {
  --btn-color: #ff4646;
  --navbar-bg: #ff4646;
  --navbar-bg-darker: #dd3e3e;
  --color-black: #242424;
  --color-white: #f8f8f8;
  --plyr-font-family: "Trebuchet MS", sans-serif;
  --plyr-color-main: #ff4646;
  --plyr-font-size-large: 18px;
  --plyr-font-size-xlarge: calc(4px + 1.5vw);
}

@media screen and (max-width: 425px) {
  :root {
    --plyr-font-size-large: 20px;
  }
}

* {
  font-family: "Rubik", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body.the_lives_of_others {
  --background-image-url: url("images/movies/the_lives_of_others/background.png");
  --background-color: #0f1611;
}

body.severance {
  --background-image-url: url("images/series/severance/background.jpg");
  --background-color: #131b13;
}

body {
  color: var(--color-white);
  background: linear-gradient(
      to top,
      var(--background-color) calc(100% - 200px - 23vw),
      transparent calc(112% - 200px - 23vw)
    ),
    var(--background-image-url), var(--background-color);
  background-repeat: no-repeat;
  background-size: 100%;
}

a {
  color: var(--color-white);
  text-decoration: none;
}

.nav {
  background-color: var(--navbar-bg);
  width: 100%;
  height: 50px;
  display: flex;
  align-items: center;
  /* padding: 0 40px; */
  padding: 0 2vw;
  /* gap: 50px; */
  gap: 2.5vh;
  position: fixed;
  top: 0;
  z-index: 1;
  animation: slideIn 0.3s cubic-bezier(0.65, 0.05, 0.36, 1) forwards;
}

.a-logo {
  font-size: 0;
}

.logo {
  height: 40px;
}

@media screen and (max-width: 470px) {
  .logo {
    content: url("images/logo_small.png");
  }
}

.nav ul {
  list-style: none;
  display: flex;
  padding: 0;
  height: 100%;
  margin: 0;
}

.nav-links {
  height: 100%;
}

.nav ul li {
  padding: 0 15px;
  height: 100%;
  display: flex;
  align-items: center;
  position: relative;
}

.nav ul li:hover {
  background-color: var(--navbar-bg-darker);
}

.nav ul li a {
  color: white;
  text-decoration: none;
}

.nav ul li a:hover {
  text-decoration: underline;
}

h1 {
  font-family: "DM Sans";
  margin-top: 0;
  text-align: center;
}

p {
  margin: 0;
}

.link {
  color: #0563c1;
  text-decoration: underline;
}

/* .banner {
  width: 100%;
  margin-bottom: -500px;
  margin-bottom: calc(-26vw);
} */

.main_container {
  display: flex;
  position: relative;
  padding: 0;
  width: 90%;
  background: linear-gradient(
    color-mix(in srgb, var(--background-color), transparent 60%),
    rgba(0, 0, 0, 0) 35%
  );
  backdrop-filter: blur(15px);
  /* margin: 0 auto 0; */
  margin: calc(50px + 23vw) auto 0;
  border-radius: 30px 30px 0px 0px;
  overflow: hidden;
}

/* Left Section */

.cover-popup {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  position: fixed;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0%;
  z-index: -1;
}

.cover-popup-img-container {
  position: absolute;
  background-color: var(--color-white);
  padding: 1.75vmin;
}

.cover-popup-img-container img {
  display: block;
  max-width: 85vmin;
}

.cover-popup-bg {
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(5px);
  width: 110%;
  height: 110%;
}

.cover-popup svg {
  position: absolute;
  top: 1rem;
  right: 1rem;
  width: 2rem;
  cursor: pointer;
}

.poster {
  width: 350px;
  margin: 30px 30px 15px;
  border-radius: 18px;
  box-shadow: 5px 5px 25px rgba(0, 0, 0, 0.15);
  cursor: pointer;
}

.left {
  margin-bottom: 40px;
}

.left-section {
  margin: 0 30px 20px;
  padding-bottom: 20px;
  border-bottom: 1px solid #b1b1b1;
}

.notes {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

.notes a {
  font-size: 0;
}

.notes p {
  font-size: 15px;
}

.note {
  /* padding: 0 10px;
  margin: auto 0; */
  align-items: center;
  display: inline-flex;
}

.note img {
  width: 30px;
  margin-right: 5px;
}

.streaming-services {
  display: flex;
  gap: 10px;
}

.streaming-service {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: fit-content;
}

.streaming-service img {
  width: 50px;
  border-radius: 20%;
}

/* Main Section */

.content {
  margin: 40px 35px 30px 0;
}

.section-title {
  font-size: 20px;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 8px;
}

.section {
  margin-bottom: 35px;
  max-width: calc(90vw - 440px);
}

.mb0 {
  margin-bottom: 0;
}

.streaming-player.ar1920-800 {
  aspect-ratio: 1920 / 800;
  width: fit-content;
}

.plyr--video {
  aspect-ratio: inherit;
  border-radius: 12px;
  height: 200px;
}

/* Cards */

.cards {
  display: flex;
  gap: 20px;
  /* overflow: auto; */
  padding-bottom: 10px;
  margin-bottom: 25px;
}

.card {
  box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.05);
  /* box-shadow: 5px 5px 25px rgba(0, 0, 0, 0.15); */
  border-radius: 15px;
  border: 1px solid rgba(255, 255, 255, 0.1);
  background-color: color-mix(
    in srgb,
    color-mix(in srgb, var(--background-color), black 40%),
    transparent 60%
  );
  display: flex;
  min-width: fit-content;
  cursor: pointer;
}

.card:has(.card:hover) {
  width: 100%;
}

.card-body {
  padding: 10px;
  font-size: 20px;
  max-width: 200px;
  width: calc(100px + 10vw);
}

.card-hover {
  /* max-width: 32em; */
  width: 0;
  padding: 20px 0px;
  /* animation-duration: 0.6s; */
  overflow: hidden;
  /* display: none; */
}

.card-hover-section {
  margin-bottom: 10px;
  margin-left: 10px;
}

.card-hover-title {
  font-weight: bold;
  font-size: 1.2rem;
  margin-bottom: 5px;
}

.card-title span {
  font-size: 0.9rem;
  /* color: #5e5e5e; */
  color: color-mix(in srgb, var(--color-white), black 30%);
}

.card-hover-paragraph {
  /* min-width: 45vh; */
  width: 25rem;
}

.card-hover-episodes {
  min-width: max-content;
}

.card-poster {
  width: 100%;
  border-radius: 10px;
}

.card-content {
  margin: 5px 0;
}

/* Bande-annonces */

.video > iframe {
  border-radius: 12px;
  aspect-ratio: 16 / 9;
  height: 200px;
  display: flex;
}

/* Bande Originale */

.videos,
.osts {
  display: flex;
  gap: 20px;
  /* overflow: scroll; */
}

.ost {
  max-width: calc(350px * 9 / 16);
  width: min-content;
}

/* .ost p {
  width: 100%;
} */

/* Légendes */

.caption {
  margin-top: 8px;
}

.download-subtitles {
  color: white;
  display: inline-block;
  background-color: var(--btn-color);
  padding: 0.65em 0.8em;
  border-radius: 0.5rem;
  margin-top: 8px;
}

/* Cast */

.cast {
  max-width: 1500px;
  /* grid-template-columns: repeat(3, 1fr); */
}

.cast-list {
  display: flex;
  gap: 20px;
}

.character {
  display: flex;
  flex-direction: column;
  width: min-content;
  gap: 8px;
}

.character-content {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.cast-photo {
  aspect-ratio: 2 / 3;
  border-radius: 12px;
  min-width: 90px;
  width: 7.5em;
}

.cast-role {
  /* color: #5e5e5e; */
  color: color-mix(in srgb, var(--color-white), black 30%);
}

@media screen and (max-width: 1000px) {
  body {
    background-size: auto 100%;
    background-position: center;
  }

  .banner {
    display: none;
  }

  .main_container {
    margin: 0;
    padding-top: 75px;
    flex-direction: column;
    width: 100%;
    /* padding: 75px 5vw; */
    padding: calc(50px + 5vw) 5vw;
    backdrop-filter: blur(30px);
    background: color-mix(in srgb, var(--background-color), transparent 35%);
  }

  .poster {
    width: 40vw;
    margin: 0;
  }

  .left {
    display: flex;
    gap: 2%;
    margin: 0;
    align-items: flex-start;
  }

  .left-sections {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    width: 100%;
  }

  .left-section {
    margin: 0 3% 2%;
    padding-bottom: 2%;
  }

  .left-section p,
  .section p {
    font-size: min(calc(10px + 1vw), 17px);
  }

  .notes img {
    width: 4vw;
  }

  .streaming-service > img {
    width: clamp(35px, calc(10px + 5vw), 50px);
  }

  .content {
    margin: 0;
  }

  h1 {
    margin: 3vh 0;
    font-size: min(calc(15px + 2vw), 25px);
  }

  .section {
    max-width: 90vw;
  }

  .cards {
    max-width: none;
    /* overflow: scroll; */
  }

  .card-hover {
    animation-duration: 0s;
  }

  .card-hover-paragraph {
    /* min-width: 100%; */
    width: 20rem;
  }

  .video iframe {
    width: 90vw;
    height: auto;
  }

  .cast-photo {
    width: clamp(50px, 17vw, 90px);
  }
}

/* Footer */

footer {
  /* background-color: #6d6d6d; */
  background-color: color-mix(in srgb, var(--background-color), white 20%);
  text-align: center;
  padding: 15px 0;
}

footer p {
  color: white;
  margin: 0px;
}
